attribute vec4 vPosition;
attribute vec4 inputTextureCoordinate;
varying vec2 textureCoordinate;
varying vec2 textureCoordinateMask;
uniform mat4 textureTransform;
uniform mat4 maskTransform;
void main(){
    vec4 adjustVPosition = vec4(vPosition.xy, -1.0, 1.0);
    gl_Position = adjustVPosition;
    textureCoordinate = (textureTransform * inputTextureCoordinate).xy;
}